org.apache.xmlgraphics.image.loader

## Class ImageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.xmlgraphics.image.loader.ImageException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    SubImageNotFoundException

      public class ImageException
      extends java.lang.Exception

  Base class for all image-related exceptions.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageException(java.lang.String s)` Constructs an `ImageException` with the specified detail message.
    `ImageException(java.lang.String message, java.lang.Throwable cause)` Constructs a new `ImageException` with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageException

          public ImageException(java.lang.String s)

      Constructs an `ImageException` with the specified detail message. The error message string `s` can later be retrieved by the ``Throwable.getMessage()`` method of class `java.lang.Throwable`.
      Parameters:
        `s` - the detail message.

    - #### ImageException

          public ImageException(java.lang.String message,
                                java.lang.Throwable cause)

      Constructs a new `ImageException` with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Copyright 1999-2019 The Apache Software Foundation. All Rights Reserved.